## ros-indigo-control-toolbox 1.13.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(control_toolbox)

# Load catkin and all dependencies required for this package
find_package(catkin REQUIRED COMPONENTS
  cmake_modules
  message_generation
  roscpp
  dynamic_reconfigure
  realtime_tools
  std_msgs
  )

find_package(Boost REQUIRED COMPONENTS system thread)
find_package(TinyXML REQUIRED)

# Dynamics reconfigure
generate_dynamic_reconfigure_options(
  cfg/Parameters.cfg
  )

# Add services and generate them
add_service_files(
  FILES
  SetPidGains.srv
  )

generate_messages(
  DEPENDENCIES std_msgs
)

# Declare catkin package
catkin_package(
  DEPENDS TinyXML
  CATKIN_DEPENDS
    roscpp
    dynamic_reconfigure
    realtime_tools
    message_runtime
    std_msgs
  INCLUDE_DIRS include
  LIBRARIES ${PROJECT_NAME}
  )

include_directories(
  include
  ${catkin_INCLUDE_DIRS}
  ${Boost_INCLUDE_DIR}
  ${TinyXML_INCLUDE_DIRS}
  )

add_library(${PROJECT_NAME}
  src/pid.cpp
  src/pid_gains_setter.cpp
  src/sine_sweep.cpp
  src/dither.cpp
  src/sinusoid.cpp
  src/limited_proxy.cpp
  )
add_dependencies(${PROJECT_NAME} ${PROJECT_NAME}_gencfg) # wait for dynamic reconfigure

target_link_libraries(${PROJECT_NAME} ${TinyXML_LIBRARIES} ${catkin_LIBRARIES} ${Boost_LIBRARIES})

add_dependencies(${PROJECT_NAME} ${PROJECT_NAME}_gencpp) # wait for msgs

if(CATKIN_ENABLE_TESTING)
  # Tests
  catkin_add_gtest(pid_tests test/pid_tests.cpp)
  target_link_libraries(pid_tests ${catkin_LIBRARIES} ${PROJECT_NAME})

  # add_executable(test_linear test/linear.cpp)
endif()

# Install
install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION})

install(TARGETS ${PROJECT_NAME}
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
  )

install(DIRECTORY scripts/
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

=== debian/changelog ===
ros-indigo-control-toolbox (1.13.3-0trusty) trusty; urgency=high

  * changed the range of dynamic reconfigure to allow negative ones
  * Address -Wunused-parameter warnings
  * Factor out updatePid as negative calls to computeCommand
  * Increasing covergae of PID class test suite.
  * Chain calls of computeCommand and updatePid for code reuse
  * Contributors: Adolfo Rodriguez Tsouroukdissian, Bence Magyar, Carlos Rosales, Paul Bovbel, VahidAminZ

 -- Sachin Chitta <sachinc@willowgarage.com>  Thu, 17 May 2018 23:00:00 -0000

ros-indigo-control-toolbox (1.13.2-0trusty) trusty; urgency=high

  * CRITICAL BUGFIX: Fix broken PID command computation.
  * Contributors: Adolfo Rodriguez Tsouroukdissian, Paul Bovbel

 -- Sachin Chitta <sachinc@willowgarage.com>  Thu, 21 May 2015 23:00:00 -0000

ros-indigo-control-toolbox (1.13.1-0trusty) trusty; urgency=high

  * Improvement in integral contribution implementation. Resolve #32 <https://github.com/ros-controls/control_toolbox/issues/32>.
  * Contributors: Adolfo Rodriguez Tsouroukdissian, Carlos Rosales

 -- Sachin Chitta <sachinc@willowgarage.com>  Wed, 29 Apr 2015 23:00:00 -0000

ros-indigo-control-toolbox (1.13.0-0trusty) trusty; urgency=high

  * Harmonize pid gain names between rosparam and dynamic_reconfigure
  * Read i_clamp_min and i_clamp_max form parameter server - if available
  * Contributors: Adolfo Rodriguez Tsouroukdissian, Dave Coleman, ipa-fxm

 -- Sachin Chitta <sachinc@willowgarage.com>  Fri, 31 Oct 2014 00:00:00 -0000

ros-indigo-control-toolbox (1.12.1-0trusty) trusty; urgency=high

  * Remove broken test code. Hotfix for #18 <https://github.com/ros-controls/control_toolbox/issues/18>.
  * Contributors: Adolfo Rodriguez Tsouroukdissian

 -- Sachin Chitta <sachinc@willowgarage.com>  Wed, 11 Jun 2014 23:00:00 -0000

ros-indigo-control-toolbox (1.12.0-0trusty) trusty; urgency=high

  * pid: Adding quiet flag to suppress error message
  * Contributors: Jonathan Bohren

 -- Sachin Chitta <sachinc@willowgarage.com>  Wed, 11 Jun 2014 23:00:00 -0000

ros-indigo-control-toolbox (1.11.0-0trusty) trusty; urgency=high

  * Remove rosbuild artifacts
  * Cleaned up CMake and removed unnecessary dependencies
  * Made default value negative to match valid range
  * Fix for i_clamp_min to be negative in dynamic reconfigure
  * Fix abs/fabs problem with Clang and libc++
  * Contributors: Adolfo Rodriguez Tsouroukdissian, Dave Coleman, Marco Esposito

 -- Sachin Chitta <sachinc@willowgarage.com>  Sun, 11 May 2014 23:00:00 -0000

ros-indigo-control-toolbox (1.10.4-0trusty) trusty; urgency=high

  * Added Travis support
  * Renamed manifest.xml so it doesn't break rosdep
  * Expanded range of PID and windup gains for certain applications.
  * Expanded range of PID and windup gains for certain applications. Lowered default integral and derivative gain
  * check for CATKIN_ENABLE_TESTING
  * Add some comments to Parameters.cfg
  * Add support for dynamic_reconfigure for rosbuild
  * Contributors: Austin Hendrix, Dave Coleman, Lukas Bulwahn, Paul Dinh

 -- Sachin Chitta <sachinc@willowgarage.com>  Wed, 05 Feb 2014 00:00:00 -0000

ros-indigo-control-toolbox (1.10.3-0trusty) trusty; urgency=high

  * Fix bug in copy constructor.
  * Contributors: Austin Hendrix

 -- Sachin Chitta <sachinc@willowgarage.com>  Thu, 01 Aug 2013 23:00:00 -0000

ros-indigo-control-toolbox (1.10.2-0trusty) trusty; urgency=high

  * Fix copy constructor.
  * Merge pull request #1 <https://github.com/ros-controls/control_toolbox/issues/1> from davetcoleman/hydro-devel
    Added dynamic reconfigure for PID gains
  * Removed const getGains function
  * Small fixes
  * Compatibility changes for realtime_tools, tweaked getests
  * Made realtime_buffer copiable
  * Added test for getting/settings gains, copying/assigning pid class
  * Removed const read, added copy constructor and print values function
  * Added new function getGainsConst that allows one to get the PID gains from a const PID class
  * Added realtime_tools as a dependency in package.xml and CMakeLists
  * Added realtime buffer to PID, re-ordered functions to more logical order and to match header file
  * Fixes per Austin review
  * Updated CMakeLists.txt and made fixes per Adolfo
  * Merged hydro-devel
  * Added dynamic reconfigure for PID gains
  * Tests build.
  * Contributors: Austin Hendrix, Dave Coleman

 -- Sachin Chitta <sachinc@willowgarage.com>  Sun, 28 Jul 2013 23:00:00 -0000

ros-indigo-control-toolbox (1.10.1-0trusty) trusty; urgency=high

  * Add dependency on tinyxml.
  * Contributors: Austin Hendrix

 -- Sachin Chitta <sachinc@willowgarage.com>  Tue, 25 Jun 2013 23:00:00 -0000

ros-indigo-control-toolbox (1.10.0-0trusty) trusty; urgency=high

  * Version 1.10.0
  * comment format consistentcy
  * Fixing comment in pid source code
  * Install tune_pid.py under catkin.
  * adding install targets
  * adding missing manifests
  * merging CMakeLists.txt files from rosbuild and catkin
  * adding hybrid-buildsystem makefiles
  * Merging from master, re-adding manifest.xml files
  * using more standard way of depending on gencpp
  * Add .gitignore file.
  * Fixing library export
  * catkinizing, could still be cleaned up
  * Fixing doc errors in PID
  * Changing @ commands to commands
  * Enforcing i_min_ <= 0 and i_max_ >= 0 in integral bound parameters, reducing duplicated code
  * Merge pull request #14 <https://github.com/ros-controls/control_toolbox/issues/14> from bobholmberg/fix-PID-unbounded-i_error
    Using zero i_gain_ to turn off integral control did unsavory things.
  * Adding alternative name for new pid command computation API
  * Fixing merge error
  * Merge branch 'fix-pid-backwards-compatibility' into fix-PID-unbounded-i_error
  * Removing lie from documentation
  * Adding Bob's fixes to the backwards-compatibility API
  * Merge branch 'fix-pid-backwards-compatibility' into fix-PID-unbounded-i_error
  * bringing back old updatePid function contents
  * adding documentation warning


=== debian/control ===
Source: ros-indigo-control-toolbox
Section: misc
Priority: extra
Maintainer: Sachin Chitta <sachinc@willowgarage.com>
Build-Depends: debhelper (>= 9.0.0), libtinyxml-dev, ros-indigo-catkin (>= 0.5.68), ros-indigo-cmake-modules, ros-indigo-dynamic-reconfigure, ros-indigo-message-generation, ros-indigo-realtime-tools, ros-indigo-roscpp, ros-indigo-std-msgs
Homepage: http://ros.org/wiki/control_toolbox
Standards-Version: 3.9.2

Package: ros-indigo-control-toolbox
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libtinyxml-dev, ros-indigo-cmake-modules, ros-indigo-dynamic-reconfigure, ros-indigo-message-runtime, ros-indigo-realtime-tools, ros-indigo-roscpp, ros-indigo-std-msgs
Description: The control toolbox contains modules that are useful across all controllers.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-control-toolbox//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
